%******************************************************************
%
%   [w] = axial_o(W)
%
%******************************************************************
%
%   Axial vector operator
%
%    given skewsymmetric tensor W,
%    computes the axial vector w, such that Wa=wxa
%
%******************************************************************
% Lorenzo Trainelli - DIA PoliMi - Nov 2002
%******************************************************************
%
function [w] = axial_o(W)
%
w = .5 * [ W(3,2) - W(2,3) ;
           W(1,3) - W(3,1) ;
           W(2,1) - W(1,2) ];