%******************************************************************
%
%   [A] = cayley_o(B)
%
%******************************************************************
%
%   Cayley transform for general square matrices
%
%    given matrix B,
%    computes the cayley transform B=cay(A)=inv(I-A)*(I+A)
%
%******************************************************************
% Lorenzo Trainelli - DIA PoliMi - Nov 2002
%******************************************************************
%
function [A] = cayley_o(B)
%
% >>> Ingredients
%
[m,n] = size(B);
I = eye(n);
%
% >>> Cayley transform
%
A = inv(I - B) * (I + B);