%******************************************************************
%
%   [Y] = drotcay_o(b)
%
%******************************************************************
%
%   Cayley transform for rotations - associated differential map
%
%    given vector b of magnitude tan(phi/2),
%    computes the rotation associated differential tensor Y=dcay(bx)
%
%   NB - this is known also as Gibbs/Rodrigues parameterisation
%
%******************************************************************
% Lorenzo Trainelli - DIA PoliMi - Nov 2002
%******************************************************************
%
function [Y] = drotcay_o(b)
%
% >>> Ingredients
%
I = eye(3);
bx = cross_o(b);
zeta = norm(b);
%
% >>> Rotation associated differential tensor
%
Y = 2/(1+zeta^2)*(I + bx);